oracle.xml.xquery

## Interface OXQView.OXQViewAccessor

Enclosing class:
  OXQView

    public static interface OXQView.OXQViewAccessor

Generic interface implemented by all XQJ objects which are capable of providing an OXQJ view.

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> T` `getOXQView(java.lang.Class<T> oxqClass)` Provides the OXQJ view of an object.

### Method Detail

#### getOXQView

    <T> T getOXQView(java.lang.Class<T> oxqClass)

Provides the OXQJ view of an object.

Parameters:
  `oxqClass` - required OXQJ interface.
Returns:
  view object implementing specified interface
Throws:
  `java.lang.ClassCastException` - if this object doesn't support specified OXQJ interface.

Copyright © 2003, 2020, Oracle and/or its affiliates.